/**
  * Author solution
  * Task: sortmach (CodeIT, Season 4, Round 6)
  * Author: Nikola Stoyanov
  */

#include <iostream>
#include <cstdio>
#include <cstdlib>

const int MAX_BOXES = 100;
const int INF = 1<<30;

int nBoxes;
int box[MAX_BOXES];

void input ();
void solve ();

int main ()
{
    freopen("sortmach.in", "r", stdin);
    freopen("sortmach.out", "w", stdout);

    input();
    solve();

    return 0;
}

void input ()
{
    std::cin >> nBoxes;

    for (int i = 0; i < nBoxes; i++)
    {
        std::cin >> box[i];
    }
}

void solve ()
{
    int answ = INF;

    for (int finBox = 0; finBox < nBoxes; finBox++)
    {
        int allMoves = 0;

        for (int i = 0; i < nBoxes; i++)
        {
            int delta = abs(finBox - i);
            int dist = std::min(delta, nBoxes - delta);
            allMoves += dist * box[i];
        }

        if (answ > allMoves)
        {
            answ = allMoves;
        }
    }

    std::cout << answ << "\n";
}
